Mark one of your notifications read
POST /api/member/notifications/{notificationId}/read. Mark one of your notifications read. Headless LMS Notifications API reference.
For any member of the organization. Returns the notification the way the list shows it. Marking a read notification keeps its first read time. 404 when it is not yours.
Path Parameters
notificationId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/member/notifications/string/read"{ "id": "string", "kind": "newPostInSpace", "createdAt": "2019-08-24T14:15:22Z", "readAt": "2019-08-24T14:15:22Z", "actor": { "orgUserId": "string", "displayName": "string", "imageUrl": "string" }, "community": { "id": "string", "title": "string" }, "space": { "id": "string", "name": "string" }, "post": { "id": "string", "title": "string" }, "commentId": "string", "chat": { "id": "string", "title": "string" }, "messageId": "string"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}List your notifications, newest first, with your unread count GET
GET /api/member/notifications. List your notifications, newest first, with your unread count. Headless LMS Notifications API reference.
Mark all your notifications read POST
POST /api/member/notifications/read. Mark all your notifications read. Headless LMS Notifications API reference.